Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel.impl
Class MAnalysisMetaModelFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              kieker.analysis.model.analysisMetaModel.impl.MAnalysisMetaModelFactory

All Implemented Interfaces:
  MIAnalysisMetaModelFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory

    public class MAnalysisMetaModelFactory

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements MIAnalysisMetaModelFactory

An implementation of the model Factory.

Generated:

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface kieker.analysis.model.analysisMetaModel.MIAnalysisMetaModelFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MAnalysisMetaModelFactory()` Creates an instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`MIDependency` | `createDependency()`
`MIDisplay` | `createDisplay()`
`MIDisplayConnector` | `createDisplayConnector()`
`MIFilter` | `createFilter()`
`MIInputPort` | `createInputPort()`
`MIOutputPort` | `createOutputPort()`
`MIProject` | `createProject()`
`MIProperty` | `createProperty()`
`MIReader` | `createReader()`
`MIRepository` | `createRepository()`
`MIRepositoryConnector` | `createRepositoryConnector()`
`MIView` | `createView()`
`MIAnalysisMetaModelPackage` | `getAnalysisMetaModelPackage()`
`static MIAnalysisMetaModelPackage` | `getPackage()` Deprecated.
`static MIAnalysisMetaModelFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MAnalysisMetaModelFactory

    public MAnalysisMetaModelFactory()

  Creates an instance of the factory.

  Generated:

Method Detail

### init

    public static MIAnalysisMetaModelFactory init()

  Creates the default factory implementation.

  Generated:

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  Generated:

### createProject

    public MIProject createProject()

  Specified by:
    `createProject` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Project'.
  Generated:

### createInputPort

    public MIInputPort createInputPort()

  Specified by:
    `createInputPort` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Input Port'.
  Generated:

### createOutputPort

    public MIOutputPort createOutputPort()

  Specified by:
    `createOutputPort` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Output Port'.
  Generated:

### createProperty

    public MIProperty createProperty()

  Specified by:
    `createProperty` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Property'.
  Generated:

### createFilter

    public MIFilter createFilter()

  Specified by:
    `createFilter` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Filter'.
  Generated:

### createReader

    public MIReader createReader()

  Specified by:
    `createReader` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Reader'.
  Generated:

### createRepository

    public MIRepository createRepository()

  Specified by:
    `createRepository` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Repository'.
  Generated:

### createDependency

    public MIDependency createDependency()

  Specified by:
    `createDependency` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Dependency'.
  Generated:

### createRepositoryConnector

    public MIRepositoryConnector createRepositoryConnector()

  Specified by:
    `createRepositoryConnector` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Repository Connector'.
  Generated:

### createDisplay

    public MIDisplay createDisplay()

  Specified by:
    `createDisplay` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Display'.
  Generated:

### createView

    public MIView createView()

  Specified by:
    `createView` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'View'.
  Generated:

### createDisplayConnector

    public MIDisplayConnector createDisplayConnector()

  Specified by:
    `createDisplayConnector` in interface `MIAnalysisMetaModelFactory`
  Returns:
    a new object of class 'Display Connector'.
  Generated:

### getAnalysisMetaModelPackage

    public MIAnalysisMetaModelPackage getAnalysisMetaModelPackage()

  Specified by:
    `getAnalysisMetaModelPackage` in interface `MIAnalysisMetaModelFactory`
  Returns:
    the package supported by this factory.
  Generated:

### getPackage

    @Deprecated
    public static MIAnalysisMetaModelPackage getPackage()

  Deprecated.

  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net